import type { SmartArchive } from './classes.smartarchive.js';
import * as plugins from './plugins.js';

import { unbzip2Stream } from './bzip2/index.js';

export class Bzip2Tools {
  smartArchiveRef: SmartArchive;

  constructor(smartArchiveRefArg: SmartArchive) {
    this.smartArchiveRef = smartArchiveRefArg;
  }

  getDecompressionStream() {
    return unbzip2Stream();
  }
}